Package ghidra.trace.database.symbol

# Class DBTraceOffsetReference

java.lang.Object
ghidra.trace.database.symbol.DBTraceReference
ghidra.trace.database.symbol.DBTraceOffsetReference

All Implemented Interfaces:
  `OffsetReference`, `Reference`, `TraceOffsetReference`, `TraceReference`, `Comparable<Reference>`

public class DBTraceOffsetReference extends DBTraceReference implements TraceOffsetReference

- ## Field Summary

  ### Fields inherited from class ghidra.trace.database.symbol.DBTraceReference

  `ent`

  ### Fields inherited from interface ghidra.program.model.symbol.Reference

  `MNEMONIC, OTHER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceOffsetReference(DBTraceReferenceSpace.DBTraceReferenceEntry ent, boolean isExternalBlockReference)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Address`
  `getBaseAddress()`
  Returns the base address.
  `long`
  `getOffset()`
  Returns the offset.

  ### Methods inherited from class ghidra.trace.database.symbol.DBTraceReference

  `clearAssociatedSymbol, delete, getFromAddress, getLifespan, getOperandIndex, getReferenceType, getSource, getStartSnap, getSymbolID, getToRange, getTrace, hashCode, isPrimary, setAssociatedSymbol, setPrimary, setReferenceType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.program.model.symbol.Reference

  `getFromAddress, getOperandIndex, getReferenceType, getSource, getSymbolID, isPrimary`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceOffsetReference

  `getToAddress, isOffsetReference`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceReference

  `clearAssociatedSymbol, compareTo, delete, getAssociatedSymbol, getLifespan, getStartSnap, getToRange, getTrace, isEntryPointReference, isExternalReference, isMemoryReference, isMnemonicReference, isOperandReference, isRegisterReference, isShiftedReference, isStackReference, setAssociatedSymbol, setPrimary, setReferenceType`

- ## Constructor Details

  - ### DBTraceOffsetReference

    public DBTraceOffsetReference(DBTraceReferenceSpace.DBTraceReferenceEntry ent, boolean isExternalBlockReference)

- ## Method Details

  - ### getOffset

    public long getOffset()
    Description copied from interface: `OffsetReference`
    Returns the offset.
    Specified by:
      `getOffset` in interface `OffsetReference`
    Returns:
      the offset

  - ### getBaseAddress

    public Address getBaseAddress()
    Description copied from interface: `OffsetReference`
    Returns the base address.
    Specified by:
      `getBaseAddress` in interface `OffsetReference`
    Returns:
      the address